Skip to main content
GET
/
v1
/
payments
/
{paymentId}
Get a payment
curl --request GET \
  --url https://api.yuvexpay.com/v1/payments/{paymentId} \
  --header 'Authorization: Bearer <token>'
{
  "payment": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "txId": "<string>",
    "amount": 123,
    "feeAmount": 123,
    "netAmount": 123,
    "feePassedToPayer": true,
    "payerFeeAmount": 123,
    "description": "<string>",
    "metadata": {},
    "expiresAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "methodData": {},
    "paidAt": "2023-11-07T05:31:56Z",
    "payer": {
      "name": "<string>",
      "document": "<string>",
      "institutionName": "<string>",
      "institutionIspb": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

YuvexPay API key. Include as Authorization: Bearer ypk_<env>_<kid>_<secret> where <env> is test (sandbox) or live (production). Create and manage keys in the dashboard under Settings > API Keys.

Path Parameters

paymentId
string<uuid>
required

The payment ID.

Response

Payment found.

payment
object